import os
import moon
from mastodon import Mastodon
from pytz import timezone
from datetime import datetime

#   Set up Mastodon
mastodon = Mastodon(
    access_token = 'token.secret',
    api_base_url = os.getenv('MASTODON_URL', 'https://mastodon.wazongtest.de/')
)

tz = timezone('Europe/Berlin') 
now = datetime.now().astimezone(tz)
moon_text="Aktuelle Mondphase:\n"
moon_text+=moon.moon_phase_as_text(now)
print(moon_text)

mastodon.status_post(moon_text, visibility='unlisted')

me = mastodon.me()

print(mastodon.account_statuses(me['id'])[0])